<template>
  <section id="dd-what">
    <b-container class="px-md-0">
      <b-row class="mx-0">
        <!-- Right column -->
        <b-col
          id="funding"
          class="d-flex flex-column justify-content-between"
          lg="5"
          order-lg="12"
        >
          <p>
            <span
              id="donations"
              class="h2"
              v-text="$n($parent.progress.total, 'eur')"
            ></span>
            <br />
            <span
              class="text-muted"
              v-html="`${$t('dd.funding.goal')} ${$n($parent.progress.max, 'eur')}`"
            ></span>
          </p>

          <div>
            <b-progress
              :max="100"
              animated
              variant="primary"
              class="h2"
            >
              <b-progress-bar
                :value="Math.round($parent.progress.total * 100 / $parent.progress.max)"
              >
                <b class="text-white">{{
                  Math.round($parent.progress.total * 100 / $parent.progress.max) }}%</b>
              </b-progress-bar>
            </b-progress>
            <div class="progress-meter">
              <div
                class="meter meter-right"
                style="width: 100%;"
              >
                <span class="meter-text">{{ $n($parent.progress.max, 'eur') }}</span>
              </div>
            </div>
          </div>

          <b-row class="align-items-center">
            <p class="col-sm-5">
              <span
                id="donators"
                class="h3"
                v-html="$parent.count"
              ></span>
              <br />
              <span
                class="text-muted"
                v-html="$t('dd.funding.donators')"
              ></span>
            </p>
            <p class="col-sm-7" v-if="$parent.days > 0">
              <span
                v-if="$parent.days > 1"
                id="days"
                class="h3"
                v-html="`${$parent.days} ${$t('dd.funding.days')}`"
              ></span>
              <span
                v-else-if="$parent.days > 0"
                id="days"
                class="h3"
                v-html="`${$parent.hours} ${$t('dd.funding.hours')}`"
              ></span>
              <br />
              <span
                class="text-muted"
                v-html="$t('dd.funding.deadline')"
              ></span>
            </p>
            <p v-else
              id="days"
              class="col-sm-7 text-muted"
              v-html="$t('dd.funding.ended')"
              ></p>
          </b-row>

          <p>
            <b-button v-if="$parent.days > 0"
              v-b-modal.support
              block
              size="lg"
              variant="warning"
            >
              <b v-html="$t('dd.donate')"></b>
            </b-button>
            <b-button v-else
              href="https://soutenir.framasoft.org"
              block
              size="lg"
              variant="warning"
            >
              <b v-html="$t('dd.donate')"></b>
              <i class="ml-2 fas fa-arrow-up-right-from-square" />
            </b-button>
          </p>
        </b-col>
        <b-col lg="7">
          <div class="mx-lg-2 mx-n3">
            <h2 v-html="$t('dd.intro.subtitle')"></h2>
            <div v-html="$t('dd.what.md')"></div>
          </div>
        </b-col>
      </b-row>
    </b-container>
  </section>
</template>

<style lang="scss">
#dd-what {
  padding: 2rem 0 4rem;
}

#funding {
  background: #fff;
  border-radius: 0.5rem;
  border:  1px solid var(--f-o3);
  border-top: 8px solid var(--f-o5);
  // box-shadow: 0 -1px 1px var(--f-o5);
  padding: 3rem 2.5rem;
  margin-top: -4rem;

  .progress {
    border-radius: 0;
  }

  .progress-bar {
    color: rgba(0, 0, 0, 0.7);
  }

  .progress-meter {
    min-height: 27px;
    margin-bottom: 15px;
    margin-top: -24px;
  }

  .progress-meter > .meter {
    position: relative;
    float: left;
    min-height: 27px;
    border-width: 0px;
    border-style: solid;
    border-color: rgba(221,221,221, 0.5);
  }

  .progress-meter > .meter-right {
    float: right;
    border-right-width: 2px;
  }

  .progress-meter > .meter-right:last-child {
    border-left-width: 0px;
  }

  .progress-meter > .meter > .meter-text {
    position: absolute;
    display: inline-block;
    bottom: -5px;
    width: 100%;
    font-size: 0.8em;
    color: #aaa;
    text-align: right;
    padding-right:2px;
    line-height: 16px;
  }

  .btn-lg {
    border-radius: 1px;
    padding: 1rem;
  }

  .card {
    max-width: 540px;
    margin-left: auto;
    margin-right: auto;

    img {
      border: 1px solid #ccc;
      max-width: 96px;
      margin-right: 30px;
      margin-bottom: 30px;
      background: #fff;
    }
  }

  .card-body > .card-body {
    padding: 10px;
  }
}

@media (max-width: 576px) {
  #funding {
    margin-top: -1rem;
    border: none;
    border-radius: 0;
    top: auto;
    margin-bottom: 2rem;
  }
}

@media (max-width: 992px) {
  #funding {
    margin-bottom: 2rem;
  }
}
</style>
